{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}

{% endblock %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Detail Pesanan
        {% endblock %}

    {% endembed %}

    <section class="mt-3 container-fluid">
        <p>#{{ cart.getReferenceId() }}</p>

        <p class="text-black-50 f08 mb-0 font-weight-bold">Status</p>
        {% set statString = '' %}
        {% if cart.getStatus() == 0 %}
            {% set statString = 'Menunggu Konfirmasi Pengajar' %}
        {% elseif  cart.getStatus() == 1 %}
            {% set statString = 'Menunggu Pembayaran' %}
        {% elseif cart.getStatus() == 2 %}
            {% set statString = 'Aktif' %}
        {% elseif cart.getStatus() == 6 %}
            {% set statString = 'Pesanan Di Batalkan' %}
        {% else %}
            {% set statString = 'Menunggu Konfirmasi Pengajar' %}
        {% endif %}
        <p class="text-dark font-weight-bold f10">{{ statString }}</p>
        <hr>
        <p class="f12 font-weight-bold text-left mt-3">Detail Langganan</p>

        <div class="header-profile mb-0">
            <div class="gambar-div-sm">
                <img src="{{ cart.getTransaction().getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() }}">
            </div>
            <div class="content">
                <p class="f08 text-black-50 mb-0">Nama Pengajar</p>
                <p class="title">{{ cart.getTransaction().getTentorSubject().getUser().getTentorProfile().getFullName() }}</p>
            </div>
        </div>

        <div class="row mt-3">
            <div class="col-6">
                <p class="text-black-50 f08 mb-0">Mata Pelajaran</p>
                <p class="text-dark f10">{{ cart.getTransaction().getTentorSubject().getCategory().getName() }}
                    - {{ cart.getTransaction().getTentorSubject().getLevel().getName() }}</p>

                <p class="text-black-50 f08 mb-0">Durasi Pertemuan</p>
                <p class="text-dark f10">{{ cart.getDuration }} Menit</p>
            </div>

            <div class="col-6">
                <p class="text-black-50 f08 mb-0 font-weight-bold">
                    Tarif {{ cart.getMethod().getId() == 1 ? '60' : '30' }} Menit</p>
                <p class="t-accent font-weight-bold f10">Rp. {{ cart.getAmount()|number_format(0, ',', '.') }}</p>

                <p class="text-black-50 f08 mb-0">Jumlah Pertemuan</p>
                <p class="text-dark f10">{{ cart.getEncounter() }} Pertemuan</p>
            </div>
        </div>
        <div class="row mt-3">
            <p class="t-accent font-weight-bold f10">Total : Rp.{{ cart.getTotal()|number_format(0, ',', '.') }}</p>
        </div>

        <hr>

        <p class="f12 font-weight-bold text-left mt-3">Kontak dan Tempat Les</p>
        <div class="p-3 mb-5" style="border-radius: 15px; box-shadow: 0 1px 4px var(--shadowColor1)">
            <p class="f10 font-weight-bold mb-1">{{ cart.getTransaction().getUser().getMemberProfile().getFullName() }}</p>
            {% if cart.getMethod().getId() == 1 %}
                <p class="f10 mb-1">{{ cart.getTransaction().getUser().getMemberProfile().getSchool() }}
                    - {{ cart.getTransaction().getUser().getMemberProfile().getClass().getName() }}</p>
                <p class="f10 text-black-50 mb-0">{{ cart.getAddress() }}, {{ cart.getDistrict().getDistrictName() }}
                    , {{ cart.getDistrict().getCity().getCityName() }} </p>
            {% endif %}
            <p> {{ cart.getTransaction().getUser().getMemberProfile().getPhone() }}</p>
        </div>
    </section>

{#    <section class="fixed-bottom p-2 bg-white">#}
{#        <div class="d-flex justify-content-between align-items-center flex-column">#}
{#            {% if cart.getStatus() == 0 %}#}
{#                <a id="btn-cancel" class="bt-outline-grey-a m-1 f10 d-block w-100" data-toggle="modal"#}
{#                   data-target="#exampleModalCenter"#}
{#                   style="color: red; border: 1px solid red">#}
{#                    Batalkan Pesanan#}
{#                </a>#}
{#            {% elseif cart.getStatus() == 1 %}#}
{#                <a href="/member/invoice" class="bt-primary m-1 f10 d-block w-100">#}
{#                    Bayar#}
{#                </a>#}
{#                <a href="/member/invoice" class="bt-outline-primary m-1 f10 d-block w-100">#}
{#                    Konfirmasi Pembayaran#}
{#                </a>#}
{#            {% elseif cart.getStatus() == 2 %}#}
{#                <a id="btn-extend" class="bt-primary m-1 f10 d-block w-100" data-toggle="modal" data-target="#exampleModalCenter">#}
{#                    Perpanjang Sekarang#}
{#                </a>#}

{#                <a class="bt-outline-grey-a m-1 f10 d-block w-100" data-toggle="modal" data-target="#exampleModalCenter"#}
{#                   style="color: red; border: 1px solid red">#}
{#                    Berhenti Berlangganan#}
{#                </a>#}
{#            {% else %}#}
{#                    <p></p>#}
{#            {% endif %}#}


{#        </div>#}
{#    </section>#}

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        var t_id = {{ cart.getId() }};

        async function cancelTransaction() {
            let param = {id: t_id};
            genLoading();
            let response = await $.post('/member/transaction/cancel', param);
            if (response['code'] === 200) {
                genAlert('Success', 'Berhasil Membatalkan Pesanan');
            }else{
                genAlert('Failed', 'Gagal Membatalkan Pesanan');
            }
            closeLoading();
        }

        async function extendTransaction()
        {
            let param = {id: t_id};
            genLoading();
            let response = await $.post('/member/transaction/extend', param);
            if (response['code'] === 200) {
                genAlert('Success', 'Berhasil Memperpanjang Pesanan');
            }else{
                genAlert('Failed', 'Gagal Memperpanjang Pesanan');
            }
            closeLoading();
        }
        $(document).ready(function () {
            $('#btn-cancel').on('click', function () {
                genConfirm('Konfirmasi', 'Ingin Membatalkan?', 'cancelTransaction()')
            });

            $('#btn-extend').on('click', function () {
                extendTransaction();
            })
        });
    </script>
{% endblock %}